# Uses of Class
org.apache.lucene.search.suggest.document.TopSuggestDocsCollector

Packages that use TopSuggestDocsCollector
Package
Description
org.apache.lucene.search.suggest.document
Support for document suggestion

- ## Uses of TopSuggestDocsCollector in org.apache.lucene.search.suggest.document

  Methods in org.apache.lucene.search.suggest.document with parameters of type TopSuggestDocsCollector
  Modifier and Type
  Method
  Description
  `void`
  NRTSuggester.`lookup(CompletionScorer scorer, Bits acceptDocs, TopSuggestDocsCollector collector)`
  Collects at most `getCountToCollect()` completions that match the provided `CompletionScorer`.
  `void`
  SuggestIndexSearcher.`suggest(CompletionQuery query, TopSuggestDocsCollector collector)`
  Lower-level suggest API.